Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 76938 - groff uses config file to think everyone's using A4
Summary: groff uses config file to think everyone's using A4
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: groff
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-29 19:51 UTC by John Verel
Modified: 2007-04-18 16:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-07 20:06:05 UTC


Attachments (Terms of Use)

Description John Verel 2002-10-29 19:51:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.8) Gecko/20020204

Description of problem:
With upgrade to man-1.5j-11, man -t formats incorrectly.  If you pipe to lpr,
the margins are wrong, shifted up and to the rights.  Also running
enscript-1.6.1-22 from 8.0 upgrade.  Same printer, same driver.  Everything else
prings fine.

Version-Release number of selected component (if applicable):

man-1.5j-11

enscript-1.6.1-22

How reproducible:
Always

Steps to Reproduce:
1.From console, type man -t foo | lpr
2.
3.
	

Actual Results:  Margins are wrong, shifted up and to the right for US Letter paper.

Expected Results:  Text centered on page as before upgrade.

Additional info:

Comment 1 Need Real Name 2002-11-07 04:40:11 UTC
groff's postscript generator is configured to use A4 paper by default. 

I don't know enough about groff for an "official" solution. For a workaround, 
edit /usr/share/groff/1.18/font/devps/DESC, changing

        papersize /etc/papersize a4

to

        papersize /etc/papersize letter



Comment 2 Eido Inoue 2003-01-07 19:55:24 UTC
groff should actually be usuing the locale LC_PAPER to determine the paper size
rather than a local config file. re-assigning to groff.

Comment 3 Florian La Roche 2003-01-07 20:06:05 UTC
Groff has an upstream discussion on how to best set the default papersize and
I don't want to change this for the Red Hat Linux sources. Seems LC_PAPERSIZE
will not be used and things stay as they are. /etc/papersize or groff options
are possibilities to override this.

greetings,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.